summaryrefslogtreecommitdiffstats
path: root/development/tweak
diff options
context:
space:
mode:
author B. Watson2018-08-08 17:57:14 +0200
committer Willy Sudiarto Raharjo2018-08-11 02:23:06 +0200
commit8a89006a6e241e10d0036659a3124d9241cffac2 (patch)
treead649f25f908fa73f1a6de5a9059b3e6bbc1e20b /development/tweak
parent18042e870135a4032d515187f0d2142345ecad9f (diff)
downloadslackbuilds-8a89006a6e241e10d0036659a3124d9241cffac2.tar.gz
development/tweak: Added (ncurses-based hex editor).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development/tweak')
-rw-r--r--development/tweak/README25
-rw-r--r--development/tweak/slack-desc19
-rw-r--r--development/tweak/tweak.SlackBuild65
-rw-r--r--development/tweak/tweak.info10
4 files changed, 119 insertions, 0 deletions
diff --git a/development/tweak/README b/development/tweak/README
new file mode 100644
index 0000000000..044fe04d59
--- /dev/null
+++ b/development/tweak/README
@@ -0,0 +1,25 @@
+tweak (ncurses-based hex editor)
+
+Tweak is a hex editor. It allows you to edit a file at very low level,
+letting you see the full and exact binary contents of the file. It can be
+useful for modifying binary files such as executables, editing disk or CD
+images, debugging programs that generate binary file formats incorrectly,
+and many other things.
+
+Tweak uses a complex data structure based on B-trees, designed to make
+almost all editing operations extremely fast, even when they are working
+on huge amounts of data.
+
+Tweak supports insert mode (not particularly useful if you're editing
+an executable file or a filesystem image, but can be extremely handy in
+other file formats such as PNG).
+
+Cutting, copying and pasting within the file you are editing is extremely
+efficient. No matter how big the chunk of data you are moving around -
+even if it's a 200Mb section of a CD image - Tweak will always perform
+the operation effectively instantly.
+
+Tweak supports lazy loading of the input file: rather than sucking it
+all into memory straight away, it simply remembers which parts of the
+editing buffer are copies of which parts of the input file and refers to
+the file on disk when it needs to.
diff --git a/development/tweak/slack-desc b/development/tweak/slack-desc
new file mode 100644
index 0000000000..a86c024909
--- /dev/null
+++ b/development/tweak/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tweak: tweak (ncurses-based hex editor)
+tweak:
+tweak: Tweak is a hex editor. It allows you to edit a file at very low
+tweak: level, letting you see the full and exact binary contents of the
+tweak: file. It can be useful for modifying binary files such as executables,
+tweak: editing disk or CD images, debugging programs that generate binary
+tweak: file formats incorrectly, and many other things.
+tweak:
+tweak: Tweak uses a complex data structure based on B-trees, designed to
+tweak: make almost all editing operations extremely fast, even when they
+tweak: are working on huge amounts of data.
diff --git a/development/tweak/tweak.SlackBuild b/development/tweak/tweak.SlackBuild
new file mode 100644
index 0000000000..4303be32a1
--- /dev/null
+++ b/development/tweak/tweak.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for tweak
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=tweak
+VERSION=${VERSION:-3.02}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod 644 *
+
+make XFLAGS="$SLKCFLAGS"
+install -D -s -m0755 $PRGNAM $PKG/usr/bin/$PRGNAM
+mkdir -p $PKG/usr/man/man1
+gzip -9c $PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.html LICENCE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/tweak/tweak.info b/development/tweak/tweak.info
new file mode 100644
index 0000000000..96d13aaafd
--- /dev/null
+++ b/development/tweak/tweak.info
@@ -0,0 +1,10 @@
+PRGNAM="tweak"
+VERSION="3.02"
+HOMEPAGE="https://www.chiark.greenend.org.uk/~sgtatham/tweak/"
+DOWNLOAD="https://www.chiark.greenend.org.uk/~sgtatham/tweak/tweak-3.02.tar.gz"
+MD5SUM="d50e20d9ed05d7cc5eb04ff3f0bf1d9b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"